Loading...
Searching...
No Matches
QGpgME::DefaultKeyGenerationJob Class Reference

`#include <defaultkeygenerationjob.h>`

Inheritance diagram for QGpgME::DefaultKeyGenerationJob:
[legend]
Collaboration diagram for QGpgME::DefaultKeyGenerationJob:
[legend]

## Classes

class | Private

## Public Slots

void | slotCancel () override
Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0

## Signals

void | result (const GpgME::KeyGenerationResult &result, const QByteArray &pubkeyData, const QString &auditLogAsHtml, const GpgME::Error &auditLogError)
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

| DefaultKeyGenerationJob (QObject *parent=nullptr)
GpgME::Error | start (const QString &email, const QString &name)
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

bool | eventFilter (QObject *watched, QEvent *event) override
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

Generates a PGP RSA/2048 bit key pair for given name and email address.

This job is deprecated. Use QuickJob::startCreate instead.

## Member Function Documentation

## auditLogAsHtml()

QString DefaultKeyGenerationJob::auditLogAsHtml | ( |  | ) | const

override virtual

Reimplemented from QGpgME::Job.

## auditLogError()

GpgME::Error DefaultKeyGenerationJob::auditLogError | ( |  | ) | const

override virtual

Reimplemented from QGpgME::Job.

The documentation for this class was generated from the following files:

- defaultkeygenerationjob.h
- defaultkeygenerationjob.cpp